<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.purchase.mapper.purchase.PurchasePayRecordDetailMapper">
    <select id="getPage" resultType="com.fjhx.purchase.entity.purchase.vo.PurchasePayRecordDetailVo">
        SELECT pprd.id,
               pprd.purchase_id,
               pprd.amount,
               pprd.pay_date,
               pprd.create_user,
               pprd.create_time,
               pprd.update_user,
               pprd.update_time,
               ppr.pay_account,
               pprd.remark
        FROM purchase_pay_record_detail pprd
                 LEFT JOIN purchase_pay_record ppr ON pprd.purchase_pay_record_id = ppr.id
            ${ew.customSqlSegment}
    </select>

</mapper>
